LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
Parser Service Referencepublished

Service that provides a SAX parser. More...

`import"Parser.idl";`

Inheritance diagram for Parser:

## Additional Inherited Members
Public Member Functions inherited from XParser
void | parseStream ([in] com::sun::star::xml::sax::InputSource aInputSource) raises ( com::sun::star::xml::sax::SAXException, com::sun::star::io::IOException )
| parses an XML document from a stream. More...
void | setDocumentHandler ([in] com::sun::star::xml::sax::XDocumentHandler xHandler)
| allows an application to register a document event handler. More...
void | setErrorHandler ([in] com::sun::star::xml::sax::XErrorHandler xHandler)
| allows an application to register an error event handler. More...
void | setDTDHandler ([in] com::sun::star::xml::sax::XDTDHandler xHandler)
| allows an application to register a DTD-Handler. More...
void | setEntityResolver ([in] com::sun::star::xml::sax::XEntityResolver xResolver)
| allows an application to register a DTD-Handler. More...
void | setLocale ([in] com::sun::star::lang::Locale locale)
| sets a locale specified for localization of warnings and error messages. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Service that provides a SAX parser.

The documentation for this service was generated from the following file:

- com/sun/star/xml/sax/Parser.idl